%global dlrn_nvr 18.6.1-1.20221226010718.65b15ad
%global dlrn 1
%define upstream_version 18.6.1
%{!?sources_gpg: %{!?dlrn:%global sources_gpg 1} }
%global sources_gpg_sign 0xa7475c5f2122fec3f90343223fe3bf5aad1080e4
%{!?upstream_version: %global upstream_version %{version}%{?milestone}}
Name:           puppet-nova
Version: 18.6.1
Release: 1.20221226010718.65b15ad%{?dist}
Summary:        Puppet module for OpenStack Nova
License:        ASL 2.0

URL:            https://launchpad.net/puppet-nova

Source0: 18.6.1-1.20221226010718.65b15ad.tar.gz
#
# patches_ignore=DROP-IN-RPM
# patches_base=65b15ada5edc6b00ddafaa8f445d0d0120eede1d

# Required for tarball sources verification
%if 0%{?sources_gpg} == 1
Source101:        https://tarballs.openstack.org/%{name}/%{name}-%{upstream_version}.tar.gz.asc
Source102:        https://releases.openstack.org/_static/%{sources_gpg_sign}.txt
%endif

BuildArch:      noarch

# Required for tarball sources verification
%if 0%{?sources_gpg} == 1
BuildRequires:  /usr/bin/gpgv2
BuildRequires:  openstack-macros
%endif

Requires:       puppet-cinder
Requires:       puppet-glance
Requires:       puppet-inifile
Requires:       puppet-keystone
Requires:       puppet-openstacklib
Requires:       puppet-oslo
Requires:       puppet-rabbitmq
Requires:       puppet-stdlib
Requires:       puppet-sysctl
Requires:       puppet >= 2.7.0

%description
Puppet module for OpenStack Nova

%prep
# Required for tarball sources verification
%if 0%{?sources_gpg} == 1
%{gpgverify}  --keyring=%{SOURCE102} --signature=%{SOURCE101} --data=%{SOURCE0}
%endif
%setup -q -n openstack-nova-%{upstream_version}

find . -type f -name ".*" -exec rm {} +
find . -size 0 -exec rm {} +
find . \( -name "*.pl" -o -name "*.sh"  \) -exec chmod +x {} +
find . \( -name "*.pp" -o -name "*.py"  \) -exec chmod -x {} +
find . \( -name "*.rb" -o -name "*.erb" \) -exec chmod -x {} +
find . \( -name spec -o -name ext \) | xargs rm -rf

%build


%install
rm -rf %{buildroot}
install -d -m 0755 %{buildroot}/%{_datadir}/openstack-puppet/modules/nova/
cp -rp * %{buildroot}/%{_datadir}/openstack-puppet/modules/nova/
rm -f %{buildroot}/%{_datadir}/openstack-puppet/modules/nova/files/nova-novncproxy.init

%files
%{_datadir}/openstack-puppet/modules/nova/


%changelog
* Sun Dec 25 2022 OSP Prod Chain <dev-null@redhat.com> 21.0.1-1.20221226010718.65b15ad
- Update patches
- Remove centos8 wallaby tripleo jobs

* Mon Dec 12 2022 OSP Prod Chain <dev-null@redhat.com> 21.0.1-1.20221213014111.68b3421
- Update patches
- Wire-in max_client_requests for libvirt

* Thu Dec 01 2022 OSP Prod Chain <dev-null@redhat.com> 21.0.1-1.20221201234425.ca9c045
- Update patches
- Wallaby-only: Fix handling of [DEFAULT] max_concurrent_builds

* Tue Nov 08 2022 OSP Prod Chain <dev-null@redhat.com> 21.0.1-1.20221109025306.c9fe15d
- Update patches

* Tue Nov 08 2022 OSP Prod Chain <dev-null@redhat.com> 21.0.1-1.20221108103529.c9fe15d
- Update patches
- setuptools: Disable auto discovery

* Tue Nov 01 2022 OSP Prod Chain <dev-null@redhat.com> 21.0.1-1.20221102025226.72232be
- Update patches
- Prepare the final wallaby release

* Wed Jul 27 2022 OSP Prod Chain <dev-null@redhat.com> 20.3.1-1.20220727190621.ce4d7a0
- Update patches

* Thu Jul 14 2022 OSP Prod Chain <dev-null@redhat.com> 20.3.1-1.20220714143816.ce4d7a0
- Update patches

* Wed Jul 13 2022 OSP Prod Chain <dev-null@redhat.com> 20.3.1-1.20220713090247.ce4d7a0
- Update patches
- Expose [workaround]/disable_compute_service_check_for_ffu
- Add wait_for_vif_plugged_event_during_hard_reboot
- Add enable_qemu_monitor_announce_self workaround
- Add sysinfo_serial to control Serial number gen

* Thu May 12 2022 OSP Prod Chain <dev-null@redhat.com> 20.3.1-0.20220513003712.87171b3
- Update patches
- Debian/Ubuntu: Use ceph-common instead of ceph

* Thu Mar 17 2022 OSP Prod Chain <dev-null@redhat.com> 20.3.0-0.20220317185626.78334dc
- Update patches
- Add centos-9 jobs for wallaby zuul layout

* Sun Mar 06 2022 OSP Prod Chain <dev-null@redhat.com> 20.2.0-0.20220307022326.ef704c1
- Update patches
- Remove unused str2hash
- Ensure auth_endpoint is cleared by reset
- Fix missing update of property_hash
- nova_flavor: Strip '' from project id value

* Thu Feb 17 2022 OSP Prod Chain <dev-null@redhat.com> 20.1.1-0.20220217224618.5c8d68a
- Update patches

* Mon Feb 07 2022 OSP Prod Chain <dev-null@redhat.com> 20.1.1-0.20220208002319.5c8d68a
- Update patches
- CentOS: Ensure /etc/sysconfig/libvirtd(-guests) exists

* Thu Feb 03 2022 OSP Prod Chain <dev-null@redhat.com> 20.1.1-0.20220204015929.1c78859
- Update patches
- Prepare a new Wallaby release

* Thu Dec 23 2021 OSP Prod Chain <dev-null@redhat.com> 20.0.1-0.20211224003738.6fcf4de
- Update patches
- Override default mkisofs_cmd in CentOS 9.

* Fri Nov 12 2021 OSP Prod Chain <dev-null@redhat.com> 20.0.0-0.20211112135155.a812cf9
- Update patches
- Use service anchor to ensure API is up

* Thu Oct 28 2021 OSP Prod Chain <dev-null@redhat.com> 20.0.0-0.20211029011929.34e26a0
- Update patches
- Centralize arbitrary configurations for libvirt daemons

* Thu Oct 21 2021 OSP Prod Chain <dev-null@redhat.com> 20.0.0-0.20211021072152.98970fb
- Update patches
- Enable support for Libvirt modular daemons
- Add missing dependency about nova_api_paste_ini

* Fri Oct 15 2021 OSP Prod Chain <dev-null@redhat.com> 20.0.0-0.20211016005814.959c314
- Update patches
- Libvirt: quote config parameters in resource types
- Add support for [DEFAULT] mkisofs_cmd

* Sat Oct 02 2021 OSP Prod Chain <dev-null@redhat.com> 19.4.0-0.20211003002739.bdd7c0c
- Update patches
- Fix how libvirt package resource is looked up

* Fri Aug 20 2021 OSP Prod Chain <dev-null@redhat.com> 19.2.0-0.20210821020308.7ff77f8
- Update patches
- Allow for a more permissible regex

* Tue Aug 10 2021 OSP Prod Chain <dev-null@redhat.com> 19.2.0-0.20210810233012.9d88422
- Update patches
- Replace deprecated is_string/is_array method

* Thu Jul 15 2021 OSP Prod Chain <dev-null@redhat.com> 19.1.0-0.20210716003806.885da96
- Update patches
- Add parameters for image copy when using multiple RBD Glance stores

* Mon Jun 21 2021 OSP Prod Chain <dev-null@redhat.com> 19.1.0-0.20210621222936.b256cb0
- Update patches
- Add parameter to set the libvirt max_number of guests with encrypted memory

* Thu Jun 03 2021 OSP Prod Chain <dev-null@redhat.com> 19.1.0-0.20210604000935.7fd91ce
- Update patches
- Set fixture paths for unit tests

* Fri May 28 2021 OSP Prod Chain <dev-null@redhat.com> 19.0.0-0.20210528134159.bcc1729
- Update patches

* Sun May 23 2021 OSP Prod Chain <dev-null@redhat.com> 19.0.0-0.20210523163136.bcc1729
- Update patches
- Fixing section ovsdb_connection
- TripleO: Reduce tempest test scope

* Wed May 12 2021 OSP Prod Chain <dev-null@redhat.com> 19.0.0-0.20210512231809.091ee8c
- Update patches
- nova_flavor: Accept array format about access_project_ids

* Mon Apr 26 2021 OSP Prod Chain <dev-null@redhat.com> 18.4.1-0.20210427020112.ebc6447
- Update patches
- Introducing default_tls_verify
- CentOS: Define virtlogd service name

* Tue Apr 06 2021 OSP Prod Chain <dev-null@redhat.com> 18.4.0-1
- Update patches
- Update TOX_CONSTRAINTS_FILE for stable/wallaby
- Update .gitreview for stable/wallaby
- Update sphinx to the latest version
- Prepare Wallaby RC1
- Add images_type
- [novajoin] Use yaml instead of json for policy file

* Fri Mar 26 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add support for oslo_policy/enforce_new_defaults
- Update supported Ubuntu version to Focal
- Add support for the oslo_policy/enforce_scope parameter
- Migrate glance/verify_glance_signatures to more common place

* Tue Mar 23 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Bump requirement of puppetlabs-apache

* Wed Mar 17 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Deprecate the install_cinder_client parameter
- Prepare Wallaby M3
- Expose [workaround]/ensure_libvirt_rbd_instance_dir_cleanup
- Add nova::compute::provider class to manage custom provider yaml file
- Do not hardcode nova user/group in each manifests
- Add parameter `query_placement_for_routed_network_aggregates`
- Use $::os_service_defualt instead of redefining the same default
- Add TLS options to oslo.cache
- Update outdate explanation about virt_type

* Mon Mar 01 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Clean up the deprecated neutron_* parameters

* Mon Feb 01 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Use with_value to assert given 'value's
- Refactor logic about the instance_name_template parameter
- Add nova::glance::valid_interfaces parameter
- Migrate parameters about block device allocation
- Do not re-define defaults for quota parameters
- Deprecate quota parameters for nova-network
- Deprecate the removed quota options
- Add parameter to configure the libvirt max_queues
- Add support for image download via rbd

* Mon Jan 25 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Separate a class for Glance configurations

* Sat Jan 23 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Prepare Wallaby M2

* Mon Jan 18 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Use yaml instead of json for policy file

* Fri Jan 15 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Undeprecate support of the vmwareapi driver

* Wed Jan 13 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Wed Jan 13 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add parameter to set image_type_exclude_list

* Mon Jan 11 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Mon Jan 11 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Remove redundant spaces from cron commands
- Fix ignored unit tests

* Sun Jan 03 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Sun Jan 03 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Use libvirt-daemon-system for Ubuntu

* Tue Dec 29 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Tue Dec 29 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Removing scheduler_default_filters
- Remove remaining usage of absolute class names

* Tue Dec 15 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Mon Dec 07 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Prepare Wallaby M1
- Allow both DEFAULT/dhcp_domain and api/dhcp_domain to be set
- Revert "Remove parameter nova::compute::pci_passthrough"

* Tue Dec 01 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add unit tests for nova::wsgi::apache_metadata

* Fri Nov 20 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add parameter to specify host_uuid
- Build containers for single consumer job

* Fri Nov 13 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Set dhcp_domain for all nova services
- Don't include nova::db in the base class

* Fri Nov 13 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Fix libvirt version discovery for CentOS Stream

* Wed Nov 11 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Replace deprecated UPPER_CONSTRAINTS_FILE variable

* Sat Nov 07 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Remove redundant usage of ensure_resource

* Fri Nov 06 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Fix config option typo
- Include nova pci in api

* Thu Nov 05 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Deprecate allow_insecure_clients option

* Wed Nov 04 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Fix duplicated user keys
- Add snapshorts directory config option
- Support to configure [api_database] parameters

* Sat Oct 31 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add live_migration_timeout_action to nova::migration::libvirt

* Fri Oct 30 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add update_resources_interval config option
- Add default_ephemeral_format config option
- Add compute_monitors config option

* Wed Oct 28 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Fix outdated files

* Wed Oct 28 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Remove the wrongly placed release note file

* Mon Oct 26 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Include nova::workarounds for all nova services

* Sun Oct 25 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Expose nova config option [workaround]/never_download_image_if_on_rbd

* Fri Oct 23 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Fix the misplaced release note files
- Fix incorrect release note about db options deprecation
- Fix misplaced releasenote file
- Do not test nova::migration::libvirt in 2 places
- Add support for more image related options
- Add support for more instance timeout options
- Disable libvirtd.service before starting sockets
- Add support for running deleted instance related options
- Add support for default_access_ip_network_name option
- Fix missing space in the release note
- Fix wrong notification between api service and httpd
- Deprecate database options
- Add support for more migration parameters

* Mon Oct 19 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Bump version for the start of Wallaby

* Tue Oct 13 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add support for the keystone_authtoken/service_type parameter
- Add support for image_cache options
- Remove xenapi support

* Tue Oct 13 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Include deps class in unit test for sync
- Remove unit tests for CentOS6/7
- Cleanup listen option from libvirtd service file

* Sat Oct 10 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Include deps class in unit test for postgresql

* Fri Oct 09 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Include deps class in unit test for mysql
- Update master for stable/victoria
- Ubuntu has libvirt 6.0

* Thu Oct 08 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Fix ignored unit test cases for nova::migration::libvirt
- Remove unit test codes for old puppet version

* Tue Oct 06 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Prepare a new release for victoria cut off

* Mon Oct 05 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Prepare Victoria GA
- Add support for filter_scheduler/cross_cell_move_weight_multiplier
- Add support for filter_scheduler/shuffle_best_same_weighed_hosts

* Fri Oct 02 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- libvirt: Add support for ovs_timeout
- Migrate scheduler-generic parameters to nova::scheduler
- Add support for build_failure_weight_multiplier

* Mon Sep 28 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add `swtpm_enabled`, 'swtpm_user', 'swtpm_group' parameters
- Prepare Victoria RC1
- Remove overrides about default values
- Refactor unit tests for the nova::compute class
- Support libvirt/cpu_models instead of libvirt/cpu_model
- Remove redundant "libvirt_" prefix from parameter names
- Add parameter reserved_host_disk

* Mon Sep 21 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Cleanup device addresses of vgpu type when empty
- Add new parameter `vgpu_types_device_addresses_mapping`

* Sat Sep 19 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add Puppet Litmus
- Set openstackdocs_auto_name to use 'project' as name
- Update parameter description
- Use os_service_default instead of undef to unset parameters
- Remove invalid and unused tests code
- Fix ignored test cases for nova::compute::libvirt
- Fix duplicated declaration when the deprecated parameter is used

* Tue Sep 15 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Fix warning function name

* Wed Sep 09 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Remove deprecated nova::image_service

* Tue Sep 08 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Prepare Victoria M3
- Make max_concurrent_builds more generally available
- Deperecate support for Xen and VMWare

* Wed Sep 02 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Use oslo::db to set up api_database
- Do not validate database_connection format

* Sun Aug 30 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add mysql_enable_ndb option

* Sat Aug 29 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Use openstack_spec_helper from zuul checkout
- Deprecate floating ip pool management for nova-network

* Wed Aug 12 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Expose vhost_custom_fragment

* Mon Aug 10 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Use a 'params' hash for authtoken parameters

* Mon Aug 10 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Use common class to manage apache service in beaker job

* Thu Jul 30 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Prepare Victoria M2

* Wed Jul 29 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Remove deprecated parameters for baremetal scheduling

* Wed Jul 29 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Remove deprecated parameters for failure notifications

* Tue Jul 14 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add support for [glance] num_retries parameter
- Use relative name for class inclusion

* Wed Jul 08 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add support for the interface parameter in authtoken middleware

* Tue Jun 23 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Remove deprecated nova::placement::os_interface

* Sat Jun 20 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Prepare Victoria M1

* Thu Jun 18 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Deprecate nova::scheduler::scheduler_driver

* Thu Jun 18 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Deprecate nova::upgrade_level_console parameter
- Remove deperecated nova::compute::vnc_keymap

* Mon Jun 08 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Remove compatibility codes for CentOS<=6
- Cleanup compat code for puppet <4.5

* Fri Jun 05 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Fix dependency cycle

* Thu Jun 04 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Fix virtlogd service scheduling

* Tue Jun 02 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Switch to newer openstackdocstheme and reno versions

* Mon Jun 01 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Update Puppet requirement to >= 6.0.0

* Wed May 27 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Use systemd units to enable tcp/tls in libvirt

* Tue May 26 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Remove puppet-glance from dependencies
- Remove unnecessary puppet-rabbitmq from dependencies

* Mon May 25 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Do not include vendordata class in nova::compute

* Fri May 22 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Remove deperecated vendordata_caller parameter

* Fri May 22 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add parameter for `query_placement_for_availability_zone`

* Fri May 22 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Remove password hash generation in each puppet modules

* Fri May 15 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Bump version for the start of Victoria

* Tue May 12 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- [ussuri][goal] Add CONTRIBUTING.rst

* Tue May 12 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Bump reno to 2.5.0

* Mon May 11 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add CentOS8 to nodesets

* Mon May 04 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Use anchor to require necessary packages

* Mon May 04 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add unit tests for nova_api_paste_ini resource
- Rename nova_paste_api_ini to nova_api_paste_ini
- Remove implementation to cleanup old configurations

* Sun May 03 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Runs on Debian 10.

* Thu Apr 30 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Bump openstackdocstheme to 1.30.0

* Thu Apr 30 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Fix rabbitmq version in metadata

* Wed Apr 29 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Update master for stable/ussuri

* Tue Apr 28 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Migrate back cross_az_attach

* Mon Apr 27 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Migrate parameters for cinder from nova to nova::cinder

* Sat Apr 25 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Prepare Ussuri RC1

* Wed Apr 22 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Use common auth parameters for novajoin auth

* Mon Apr 20 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Deprecate nova::compute::allow_resize_to_same_host

* Fri Apr 17 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Refer keystone_authtoken instead of neutron to detect region

* Wed Apr 15 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Fix broken unit tests because of list in notification drivers

* Tue Apr 14 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add region_name parameter to nova::ironic::common

* Mon Apr 13 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Prepare Ussuri M3 again
- Resolve duplicated requirement names in metadata

* Thu Apr 09 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Replace removed ironic api_endpoint by endpoint_override

* Thu Apr 09 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Expose enable_isolated_aggregate_filtering parameter

* Tue Apr 07 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Prepare Ussuri M3

* Fri Apr 03 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Strictly test nova::params::novajoin_package_name

* Fri Apr 03 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Select correct novajoin package in CentOS8/Fedora
- Expose placement_aggregate_required_for_tenants parameter

* Wed Apr 01 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Make sure to distinguish Fedora and RHEL/CentOS

* Tue Mar 31 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add CentOS 8 and Puppet 6 in metadata

* Tue Mar 31 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Expect python3 client package in CentOS8

* Tue Mar 31 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Update mysql module to <11.0.0

* Mon Mar 30 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Deprecate min_pool_size option

* Tue Mar 24 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Remove idle_timeout option

* Fri Mar 20 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add `pmem_namespaces` parameter

* Fri Mar 20 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Use centos-8 standalone puppet parent

* Thu Mar 19 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Use centos-8 standalone puppet parent
- Use centos-8 standalone puppet parent

* Fri Mar 13 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Use centos-8 standalone puppet parent

* Thu Mar 05 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add parameters for console proxy SSL/TLS settings

* Wed Feb 26 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Remove redundant neutron_ from parameter names

* Mon Feb 24 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Remove compabitility code for dhcp_domain

* Fri Feb 21 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add `max_disk_devices_to_attach` parameter

* Wed Feb 19 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Deprecate nova::glance_api_servers, add glance_endpoint_override

* Tue Feb 18 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- [ussuri][goal] Cleanup for python 2.7 drop

* Sun Feb 16 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Remove nova::network::neutron::dhcp_domain

* Fri Feb 14 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Prepare Ussuri M2
- Deprecate nova::auth_strategy

* Mon Jan 27 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Make sure to remove libvirt parameters by default

* Fri Jan 24 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Deprecate nova::workarounds::enable_numa_live_migration

* Fri Jan 17 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Remove deprecated nova::network::neutron params

* Tue Jan 07 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Remove keymap option"
- Remove keymap option

* Fri Jan 03 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Remove fping_path option

* Mon Dec 16 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- vcpu_pin_set gets set under [compute] instead of [DEFAULT]

* Fri Dec 13 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Add support to configure virtlogd"
- Add support to configure virtlogd

* Wed Dec 11 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Fix stdlib version in metadata

* Tue Dec 10 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Prepare Ussuri M1

* Mon Dec 09 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Convert all class usage to relative names

* Fri Dec 06 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Adds --before archive parameter to cron job
- Adds --all-cells to the archive command

* Thu Nov 28 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Remove references to nova-network packages and services

* Mon Nov 25 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Add scheduler max_placement_results param"
- Add scheduler max_placement_results param

* Mon Nov 25 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Remove consoleauth"
- Remove consoleauth
- Fix vcpu_pin_set condition to resolve deployment failure

* Fri Nov 01 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Update the constraints url

* Tue Oct 29 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Fix rabbitmq dependency

* Thu Oct 24 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Include nova::availability_zone in nova::api and nova::conductor"
- Include nova::availability_zone in nova::api and nova::conductor

* Thu Oct 24 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Don't restart libvirt-guests on config change"
- Don't restart libvirt-guests on config change

* Tue Oct 15 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Add ability to collocate pinned and unpinned instance on same host"
- Add ability to collocate pinned and unpinned instance on same host

* Thu Oct 10 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Fix "More than one line in file '/etc/sysconfig/libvirtd' matches pattern" errors"
- Merge "New class nova::metadata::novajoin::policy"
- Fix "More than one line in file '/etc/sysconfig/libvirtd' matches pattern" errors
- New class nova::metadata::novajoin::policy

* Mon Oct 07 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Fix apache_metadata api_port parameter description"
- Fix apache_metadata api_port parameter description

* Fri Oct 04 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Update master for stable/train"
- Update master for stable/train

* Fri Oct 04 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Fix puppet error handling



